### Enumeration

# Qmi WdsTechnologyPreference

since: 1.0

#### Declaration

    flags Qmi.WdsTechnologyPreference

#### Description [src]

Type of network allowed when trying to connect.

Available since: 1.0

#### Members

`QMI_WDS_TECHNOLOGY_PREFERENCE_ALLOW_3GPP`

  3GPP allowed.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_TECHNOLOGY_PREFERENCE_ALLOW_3GPP2`

  3GPP2 allowed.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_wds_technology_preference_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsTechnologyPreference` in `mask`.

since: 1.0